Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoOutput Class Reference
GoSdk/Output

## Description

Represents output configuration.

Inherits kObject.

## Public Member Functions
GoAnalog | GoOutput_Analog (GoOutput output)
| Gets the Analog output configuration object. More...
GoDigital | GoOutput_DigitalAt (GoOutput output, kSize index)
| Gets the Digital output configuration object at the specified index. More...
k32u | GoOutput_DigitalCount (GoOutput output)
| Gets the count of Digital output configuration objects. More...
GoEthernet | GoOutput_Ethernet (GoOutput output)
| Gets the Ethernet output configuration object. More...
GoSerial | GoOutput_Serial (GoOutput output)
| Gets the Serial output configuration object. More...

## Member Function Documentation

GoAnalog GoOutput_Analog | ( | GoOutput | output | ) |

Gets the Analog output configuration object.

Parameters

  output | GoOutput object.

Returns
  Analog configuration object.

GoDigital GoOutput_DigitalAt | ( | GoOutput | output,
|  | kSize | index
| ) |  |

Gets the Digital output configuration object at the specified index.

Parameters

  output | GoOutput object.
  index | Digital output index.

Returns
  Digital output configuration object.

k32u GoOutput_DigitalCount | ( | GoOutput | output | ) |

Gets the count of Digital output configuration objects.

Parameters

  output | GoOutput object.

Returns
  Count of digital output configuration objects.

GoEthernet GoOutput_Ethernet | ( | GoOutput | output | ) |

Gets the Ethernet output configuration object.

Parameters

  output | GoOutput object.

Returns
  Ethernet configuration object.

GoSerial GoOutput_Serial | ( | GoOutput | output | ) |

Gets the Serial output configuration object.

Parameters

  output | GoOutput object.

Returns
  Serial configuration object.

The documentation for this class was generated from the following file:

- Outputs/GoOutput.h